Loading...
Searching...
No Matches
BALL::BinaryFingerprintMethods::Option Struct Reference

`#include <BALL/STRUCTURE/binaryFingerprintMethods.h>`

## Static Public Attributes

static const String | BLOCKSIZE
static const String | SIM_CUTOFF
static const String | PRECISION
static const String | STORE_NN
static const String | MAX_CLUSTERS
static const String | N_THREADS
static const String | VERBOSITY

## Detailed Description

Options

Definition at line 94 of file binaryFingerprintMethods.h.

## Member Data Documentation

## BLOCKSIZE

const String BALL::BinaryFingerprintMethods::Option::BLOCKSIZE

static

The number of molecules which are grouped together to form a single inverted index data structure.

Definition at line 99 of file binaryFingerprintMethods.h.

## MAX_CLUSTERS

const String BALL::BinaryFingerprintMethods::Option::MAX_CLUSTERS

static

Maximal number of clusters for which the similarity half-matrix is calculated in the clustering step. This value is by default set to 10000 and larger values have to be HANDLED WITH CARE due to quadratic memory requirements.

Definition at line 120 of file binaryFingerprintMethods.h.

## N_THREADS

const String BALL::BinaryFingerprintMethods::Option::N_THREADS

static

Number of parallel threads to be used. Parallelization via BOOST threads.

Definition at line 125 of file binaryFingerprintMethods.h.

## PRECISION

const String BALL::BinaryFingerprintMethods::Option::PRECISION

static

Floating point precision for comparisons of similarity coefficents.

Definition at line 109 of file binaryFingerprintMethods.h.

## SIM_CUTOFF

const String BALL::BinaryFingerprintMethods::Option::SIM_CUTOFF

static

The similarity cutoff which is used for connected components decomposition or similarity search.

Definition at line 104 of file binaryFingerprintMethods.h.

## STORE_NN

const String BALL::BinaryFingerprintMethods::Option::STORE_NN

static

Boolean flag indicates if nearest neighbour information is stored during connected components decomposition.

Definition at line 114 of file binaryFingerprintMethods.h.

## VERBOSITY

const String BALL::BinaryFingerprintMethods::Option::VERBOSITY

static

Intensity level of verbose output

Definition at line 130 of file binaryFingerprintMethods.h.